Extraction API
Introduction
The Extraction API is used to extract certain details from the PAN card like name, Father's Name, Date of Birth for Individual PAN cardholders and name, Date of Issue, and so on for Business PAN holders
How to call the API
Before fetching the details via PAN number, you first need to create an Identity object. For best results, please make sure that the image you use fits tightly in camera view and is horizontally aligned. Each image/pdf should be less than 2MB.
The PAN Card reading system accepts direct URL to the front side..
API Input Guidelines
- Image should be well lit
- Image should be less than 2MB in size
- API accepts only URLs of image/PDF
Step 1: Hit Identities API
Sample CURL Request
curl --location --request POST 'https://signzy.tech/api/v2/patrons/<Patron ID>/identities' \
--header 'Accept: */*' \
--header 'Accept-Language: en-US,en;q=0.8' \
--header 'content-type: application/json' \
--data-raw '{
"service": "Identity",
"itemId": "<Identity-ID>",
"accessToken": "<Identity-token>",
"task": "autoRecognition",
"essentials": {<images Url>}
}'Request Parameters
Parameters Name | Description | Required/Optional |
|---|---|---|
Content-Type | application/json | Required |
Authorization | Authorization token | Required |
type | Type of Identity | Required |
callbackurl | URL where response will be posted | Required |
essentials | Essential part of the request | Required |
Sample Response
{
"type": "individualPan",
"email": "[email protected]",
"callbackUrl": "<https://www.w3schools.com",>
"images": [],
"accessToken": " ",
"autoRecognition": [],
"verification": [],
"forgeryCheck": [],
"id": " ",
"patronId": " "
}Response Parameter
Parameter Name | Description |
|---|---|
accessToken | This is provided by identities API |
autoRecognition | Auto recognises text from upload image |
verification | Verification is done |
forgeryCheck | Forgery check is done |
id | Unique user id |
patronId | Unique patron id |
Step 2: Hit Snoops API and receives a response
Request CURL
curl --location --request POST '<https://preproduction.signzy.tech/api/v2/snoops'> \
--header 'Content-Type: application/json;charset=UTF-8' \
--data-raw '{
"service":"Identity",
"itemId":"<Identity-object-id>",
"task":"autoRecognition",
"accessToken":"<Identity-access-token>",
"essentials":{
"url":["<URL of the image>]
}
}'Input Parameters
PARAMETER NAME | DESCRIPTION |
|---|---|
Content-Type | application/json |
service | Type of Signzy service - “identity extraction” |
itemId | Contains the identity item id |
accessToken | Identity access token |
task | The type of task performed - “Auto Recognition” |
essentials | Contains the essential output data. |
essentials.url | URL of the image. |
API Response
{
"service": "Identity",
"itemId": " ",
"task": "autoRecognition",
"essentials": {},
"accessToken": " ",
"id": " ",
"response": {
"files": [
" ">
],
"type": "individualPan",
"instance": {
"id": " ",
"callbackUrl": "<https://www.w3schools.com">
},
"id": 93,
"result": {
"dob": "01/01/1996",
"name": " ",
"fatherName": "BADAN SINGH",
"number": " ",
"panType": "Adult",
"summary": {
"number": " ",
"name": "POOJA",
"dob": " ",
"address": "",
"splitAddress": {
"district": [],
"state": [
[]
],
"city": [],
"pincode": "",
"country": [],
"addressLine": ""
},
"gender": "",
"guardianName": "BADAN SINGH",
"issueDate": "",
"expiryDate": ""
}
}
}
}Output Parameters
PARAMETER NAME | DESCRIPTION |
|---|---|
service | Type of service - “identity” |
ItemId | Contains the identity item id |
task | The type of task performed - “autoRecognition” |
essentials | Contains the essential output data |
essentials.accessToken | Contains the access token that was received from identity request |
essentials.id | Contains the unique Id of the snoop request |
response | Contains the output files |
response.Files | Contains the image URL of the output. |
type | type of identity : "businessPAN" |
id | Unique id of the identity |
result | This holds final result parameters of the response. |
result.name | Name of the PAN cardholder/Organisation name in case of businessPAN |
result.fatherName | Father's name on the card (valid only for individual PAN) |
result.dob | Date Of Birth of cardholder/Date of Issue in case of businessPAN |
result.number | PAN number of the individual |
result.panType | Adult or Minor |
summary.number | PAN number |
summary.name | Name of the PAN card holder |
summary.dob | Date of birth of the card holder |
summary.address | Address of the card holder |
summary.splitAddress | Address in split form |
summary.gender | Gender of the card holder |
summary.guardianName | Name of the guardian |
summary.issueDate | Date in which the PAN card was issued |
summary.expiryDate | Expiry date of the card |
Getting help
Please feel free to contact us if you have any questions, require clarification, or have ideas for how to make the documents or any of our services better.
You can reach out to us at [email protected].